<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class User_Block extends Model
{
    use HasFactory;

    protected $table = 'tbl_user_block';
    protected $guarded = array();

    protected $casts = [
        'id' => 'integer',
        'user_id' => 'integer',
        'block_user_id' => 'integer',
        'status' => 'integer',
    ];

    public function block_user()
    {
        return $this->belongsTo(User::class, 'block_user_id');
    }
}
